Description
This endpoint allows you to delete a status (story) that was previously sent on WhatsApp. You can delete the status for all contacts or only for specific contacts.
URL Parameters
Unique authenticated session ID
Request Body
Message ID of the status to be deleted
Sender JID (your account) in the format 5511999999999@s.whatsapp.net
Array of contact JIDs for whom the status will be deleted. If not specified, the status will be deleted for all contacts. JID format: ["5511999999999@s.whatsapp.net"]
Delete for Specific Contacts
Delete for All Contacts
{
"messageId" : "3EB0796F91D8B2A4E053AC100F0A4D1E" ,
"sender" : "5511999999999@s.whatsapp.net" ,
"participants" : [
"5511888888888@s.whatsapp.net" ,
"5511777777777@s.whatsapp.net"
]
}
Response
Indicates if the status was deleted successfully
Message ID of the status that was deleted
{
"success" : true ,
"messageId" : "3EB0796F91D8B2A4E053AC100F0A4D1E"
}
Status Codes
200 - Status deleted successfully
400 - Invalid parameters
401 - Unauthorized
404 - Status not found
500 - Server error
Usage Example
curl -X POST https://api.wappfy.com.br/api/my-session/status/delete \
-H "Content-Type: application/json" \
-d '{
"messageId": "3EB0796F91D8B2A4E053AC100F0A4D1E",
"sender": "5511999999999@s.whatsapp.net"
}'
Notes
Status are temporary content (Stories) that disappear after 24 hours
You can only delete status that were sent by your account
If the participants parameter is not specified, the status will be deleted for all contacts
The sender field must contain the JID of your own account in the format 5511999999999@s.whatsapp.net
Once deleted, the status cannot be recovered
The messageId can be obtained from the response of the status send endpoint
Your Wappfy API key (get it at dash.wappfy.com.br)
Session name (instanceName)
Status message id to delete
Contact list to send the status to.